# generated automatically by aclocal 1.7.6 -*- Autoconf -*-

# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

dnl
dnl acinclude.m4 - configuration macros for configure.in
dnl 
dnl Copyright (C) 2005  Toni Ronkko
dnl 
dnl Peach Gardens is free software; you can redistribute it and/or modify 
dnl it under the terms of the GNU General Public License as published by the
dnl Free Software Foundation; either version 2 of the License, or (at your
dnl option) any later version.
dnl
dnl Peach Gardens is distributed in the hope that it will be useful, but 
dnl WITHOUT ANY WARRANTY; without even the implied warranty of 
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
dnl General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License along
dnl with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
dnl 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
dnl 
dnl 
dnl Nov 2004, Toni Ronkko <toni at users.playstation2-linux.com>
dnl
dnl $Id: acinclude.m4,v 1.3 2005/06/22 13:03:19 tronkko Exp $
dnl
dnl $Log: acinclude.m4,v $
dnl Revision 1.3  2005/06/22 13:03:19  tronkko
dnl maemo and ps2 are check only when --with-maemo or --with-ps2 is given
dnl in command line
dnl
dnl Revision 1.2  2005/01/09 21:17:10  tronkko
dnl updated copyright
dnl
dnl Revision 1.1  2004/11/20 10:59:05  tronkko
dnl Initial revision
dnl
dnl 
dnl

dnl
dnl Allow user to compile both debug and release versions of the 
dnl application.  The macro works by defining `DEBUG' conditional to be 
dnl used in Makefile.am and by defining `NDEBUG' variable to be used in 
dnl C code.  The `DEBUG' and `NDEBUG' macros together allow you to insert 
dnl conditional debug options into your Makefiles and enable more verbose 
dnl output in C-code.
dnl
dnl Cached variables:
dnl   pg_cv_debug
dnl   pg_cv_debug_cflags
dnl
dnl Conditionals defined:
dnl   DEBUG
dnl   
AC_DEFUN([ENABLE_DEBUG],[
  AC_REQUIRE([AC_PROG_CC])
  pg_cv_debug_cflags=""

  dnl let user specify --enable-debug in command line
  AC_ARG_ENABLE(debug,
  [  --enable-debug          enable internal sanity checks],
  [case "${enableval}" in
    yes) pg_cv_debug=true ;;
    no)  pg_cv_debug=false ;;
    *) AC_MSG_ERROR(bad value ${enableval} for --enable-debug) ;;
  esac],[pg_cv_debug=false])

  dnl check compiler flags
  if test "x$pg_cv_debug" = xtrue; then
    dnl save compiler environment
    AC_LANG_SAVE
    pg_debug_cflags="$CFLAGS"
    pg_cv_debug_cflags="$CFLAGS"

    dnl try appending some debugging flags to command line (C)
    AC_MSG_CHECKING(for extra debug options)
    AC_LANG_C
    CFLAGS="-g3 -O0 -Waggregate-return -Wall -W -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -fno-writable-strings"
    AC_TRY_COMPILE([#include <stdio.h>], [printf("hello world\n");],
      pg_cv_debug_cflags="$CFLAGS")
    AC_MSG_RESULT($pg_cv_debug_cflags)

    dnl restore compiler environment
    CFLAGS="$pg_debug_cflags"
    AC_LANG_RESTORE
  fi
  
  dnl Add debugging flags to command line.  Note that user's options must
  dnl be added after the debug options so that the user could undo some of 
  dnl the options, should he want that.  The feature can be for example used
  dnl to undefine NDEBUG (-UNDEBUG in gcc) to enable assertions on otherwise
  dnl optimized executable.
  if test x$pg_cv_debug = xtrue; then
    CFLAGS="$pg_cv_debug_cflags $CFLAGS"
  else
    CFLAGS="-DNDEBUG $CFLAGS"
  fi

  dnl define conditionals for automake
  AM_CONDITIONAL(DEBUG, test x$pg_cv_debug = xtrue)
])


dnl
dnl Compile for Nokia 770 Internet Tablet.  Option --with-maemo must be 
dnl specified in command line to even consider this option.
dnl
dnl Cached variables:
dnl   pg_cv_maemo
dnl
dnl Compiler defines affected:
dnl   MAEMO
dnl
dnl Automake variables affected:
dnl   @GFXLIBS@
dnl
AC_DEFUN([LIBMAEMO],[

  AC_ARG_WITH(maemo,
    [  --with-maemo            compile for Nokia 770 Internet Tablet],
    [with_maemo="$withval"],
    [with_maemo="no"])

  if test x"$with_maemo" = x"yes"; then
    dnl save environment
    pg_maemo_libs="$LIBS"
    pg_maemo_cflags="$CFLAGS"
    AC_LANG_SAVE

    dnl get target
    OSSI_TARGET_BOARD=`echo $OSSI_TARGET_BOARD`
    AC_SUBST(OSSI_TARGET_BOARD)

    dnl check for required libs (taken from maemopad sample)
    PKG_CHECK_MODULES(HILDON, hildon-libs >= 0.8.4)
    PKG_CHECK_MODULES(MB, libmb >= 0.8)
    MB_PREFIX=`pkg-config libmb --variable=prefix`
    PKG_CHECK_MODULES(OSSO,libosso >= 0.8.4 gnome-vfs-2.0 >= 2.2 gnome-vfs-module-2.0 >= 2.2)
    PKG_CHECK_MODULES(OSSOSETTINGS, osso-af-settings >= 0.8.4)

    dnl compile and link a maemo application to see if above tests failed
    AC_MSG_CHECKING(for Maemo)
    AC_LANG_C
    LIBS="$LIBS $HILDON_LIBS $MB_LIBS $OSSO_LIBS"
    CFLAGS="$CFLAGS $HILDON_CFLAGS $MB_CFLAGS $OSSO_CFLAGS"
    AC_TRY_LINK([
#include <hildon-widgets/hildon-app.h>
#include <gtk/gtkmain.h> ], 
      [hildon_app_set_killable ((HildonApp*)0, 0);],
      pg_cv_maemo=yes,
      pg_cv_maemo=no)
    AC_MSG_RESULT($pg_cv_maemo)

    dnl restore environment
    LIBS="$pg_lmaemo_libs"
    CFLAGS="$pg_maemo_cflags"
    AC_LANG_RESTORE

    dnl insert -DMAEMO to command line if the library was found
    if test "x$pg_cv_maemo" = xyes; then
      CFLAGS="$CFLAGS -DMAEMO $HILDON_CFLAGS $MB_CFLAGS $OSSO_CFLAGS"

      dnl export libs to Makefiles
      GFXLIBS="$HILDON_LIBS $MB_LIBS $OSSO_LIBS $GFXLIBS"
      AC_SUBST(GFXLIBS)

      dnl export MB_PREFIX to Makefiles
      AC_SUBST(MB_PREFIX)

      dnl installation directories
      localedir=`$PKG_CONFIG osso-af-settings --variable=localedir`
      hildondesktopentrydir=`$PKG_CONFIG osso-af-settings --variable=desktopentrydir`
      hildoncpdesktopentrydir=`$PKG_CONFIG hildon-control-panel --variable plugindesktopentrydir`
      hildonstatusbarplugindir=`$PKG_CONFIG hildon-status-bar-lib --variable=pluginlibdir`
      hildoncplibdir=`$PKG_CONFIG hildon-control-panel --variable=pluginlibdir`
      hildoniconthemedir=$HOME/.icons/hicolor

      AC_SUBST(localedir)
      AC_SUBST(hildondesktopentrydir)
      AC_SUBST(hildoncpdesktopentrydir)
      AC_SUBST(hildonstatusbarplugindir)
      AC_SUBST(hildoncplibdir)
      AC_SUBST(hildoniconthemedir)
      AC_SUBST(desktopentrydir)
    fi
  else
    AC_MSG_CHECKING(for Maemo)
    AC_MSG_RESULT(disabled)
  fi

  dnl define conditional for Makefiles
  AM_CONDITIONAL(MAEMO, test "x$pg_cv_maemo" = xyes)
])


dnl
dnl Compile for PlayStation 2 Linux Kit.  Option --with-ps2 must be 
dnl specified in command line of configure to even consider this option.
dnl
dnl Cached variables:
dnl   pg_cv_libps2dev
dnl
dnl Compiler defines affected:
dnl   PS2DEV
dnl
dnl Automake variables affected:
dnl   @GFXLIBS@
dnl
AC_DEFUN([LIBPS2DEV],[
  pg_cv_libps2dev=no
  AC_ARG_WITH(ps2,
    [  --with-ps2              compile for PlayStation 2 Linux kit],
    [with_ps2="$withval"],
    [with_ps2="no"])

  if test x"$with_ps2" = xyes; then

    dnl save environment
    pg_libps2dev_libs="$LIBS"
    AC_LANG_SAVE

    dnl check for libps2dev
    AC_MSG_CHECKING(for libps2dev)
    AC_LANG_C
    LIBS="$LIBS -lps2dev"
    AC_TRY_LINK([
#include <ps2gs.h>
#include <ps2dma.h>], 
      [ps2_gs_vc_graphicsmode();],
      pg_cv_libps2dev=yes,
      pg_cv_libps2dev=no)
    AC_MSG_RESULT($pg_cv_libps2dev)

    dnl restore environment
    LIBS="$pg_libps2dev_libs"
    AC_LANG_RESTORE

    dnl insert -DPS2DEV to command line if the library was found.
    if test "x$pg_cv_libps2dev" = xyes; then
      CFLAGS="$CFLAGS -DPS2DEV"
      GFXLIBS="-lps2dev $GFXLIBS"
      AC_SUBST(GFXLIBS)
    fi
  else
    AC_MSG_CHECKING(for libps2dev)
    AC_MSG_RESULT(disabled)
  fi

  dnl define conditional for Makefiles
  AM_CONDITIONAL(PS2DEV, test "x$pg_cv_libps2dev" = xyes)
])


dnl
dnl Compile for X11.  This is the default target: option --without-x 
dnl must be specified in command line if X11 compilation is not wished.
dnl
dnl Cached variables:
dnl   pg_cv_libs_x11, pg_cv_xf86
dnl
dnl Compiler defines affected:
dnl   X11, XF86VMODE
dnl
dnl Automake variables affected:
dnl   @GFXLIBS@
dnl
AC_DEFUN([LIBX11],[
  pg_cv_libs_x11=no

  if test x"$have_x" = x"yes"; then
    dnl Do consider compiling for X11
    AC_REQUIRE([AC_PATH_X])
    AC_REQUIRE([AC_PATH_XTRA])

    dnl save the environment
    AC_LANG_SAVE
    AC_LANG_C
    pg_x11_x_libs="$LIBS"
    pg_x11_cflags="$CFLAGS"

    AC_MSG_CHECKING(for X11 libraries)

    dnl See if we can link with X11 as is.
    LIBS="-lX11 $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS"
    CFLAGS="$CFLAGS $X_CFLAGS"
    AC_TRY_LINK([char XBell();],
      [XBell();],
      pg_cv_libs_x11="-lX11",
      pg_cv_libs_x11=no)

    dnl do we need -ldl to go with the -lX11?
    if test "x$pg_cv_libs_x11" = xno; then
      LIBS="-lX11 -ldl $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS"
      AC_TRY_LINK([char XBell();],
        [XBell();],
        pg_cv_libs_x11="-lX11 -ldl",
        pg_cv_libs_x11=no)
    fi

    dnl OpenGL, GLX and Motif libraries sometimes require libXext so lets 
    dnl include it in the linker's command line just in case.  This way we
    dnl do not need to check it all the time.
    if test "x$pg_cv_libs_x11" = xno; then
      :
    else
      LIBS="-lXext $pg_cv_libs_x11 $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS $pg_x11_x_libs"
      AC_TRY_LINK([char XextAddDisplay();],
        [XextAddDisplay();],
        pg_cv_libs_x11="-lXext $pg_cv_libs_x11",
        pg_cv_libs_x11=no)
    fi

    dnl At least OpenGL libraries on SGI and Linux sometimes require libXmu 
    dnl (Linux when using static libraries) so add -lXmu to LIBS.  Furthermore,
    dnl on Linux libXmu seems to require -lXt which on the other hand depends
    dnl on libraries -lSM and -lICE but luckily these are supplied by 
    dnl $X_PRE_LIBS.
    if test "x$pg_cv_libs_x11" = xno; then
      :
    else
      dnl try to link with -lXt
      LIBS="-lXt $pg_cv_libs_x11 $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS $pg_x11_x_libs"
      AC_TRY_LINK([char XtOpenDisplay();],
        [XtOpenDisplay();],
        pg_libs_xt="-lXt",
        pg_libs_xt=no)
  
      dnl try to link with -lXmu now that we have -lXt
      if test "x$pg_libs_xt" = xno; then
        :
      else
        LIBS="-lXmu $pg_libs_xt $pg_cv_libs_x11 $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS $pg_x11_x_libs"
        AC_TRY_LINK([char XmuNameOfAtom();],
          [XmuNameOfAtom();],
          pg_libs_xmu="-lXmu",
          pg_libs_xmu=no)
      fi
  
      if test "x$pg_libs_xt" != xno; then
        pg_cv_libs_x11="$pg_libs_xt $pg_cv_libs_x11"
      fi
      if test "x$pg_libs_xmu" != xno; then
        pg_cv_libs_x11="$pg_libs_xmu $pg_cv_libs_x11"
      fi
    fi

    AC_MSG_RESULT($pg_cv_libs_x11)

    dnl restore environment
    LIBS="$pg_x11_x_libs"
    CFLAGS="$pg_x11_cflags"
    AC_LANG_RESTORE

    dnl define X11 if the X11 library was found
    if test "x$pg_cv_libs_x11" = xno; then
      :
    else
      CFLAGS="$CFLAGS $X_CFLAGS"
      CXXFLAGS="$CXXFLAGS $X_CFLAGS"
      CPPFLAGS="$CPPFLAGS -DX11"
      GFXLIBS="$pg_cv_libs_x11 $X_PRE_LIBS $X_LIBS $X_EXTRA_LIBS $GFXLIBS"
    fi

    dnl save the environment
    AC_LANG_SAVE
    AC_LANG_C
    pg_x11_x_libs="$LIBS"
    pg_x11_cflags="$CFLAGS"

    dnl check for XF86 video mode extensions
    AC_MSG_CHECKING(for XFree86 video mode extension)
    if test "x$pg_cv_libs_x11" = xno; then
      :
    else
      LIBS="-lXxf86vm $GFXLIBS"
      AC_TRY_LINK([char XF86VidModeGetViewPort();],
        [XF86VidModeGetViewPort();],
        pg_cv_xf86=yes,
        pg_cv_xf86=no)
    fi

    AC_MSG_RESULT($pg_cv_xf86)

    dnl restore environment
    LIBS="$pg_x11_x_libs"
    CFLAGS="$pg_x11_cflags"
    AC_LANG_RESTORE

    dnl export result
    if test x"$pg_cv_xf86" = x"yes"; then
      CPPFLAGS="$CPPFLAGS -DXF86VMODE"
      GFXLIBS="-lXxf86vm $GFXLIBS"
    fi

    dnl export libs to Makefile
    AC_SUBST(GFXLIBS)
  fi

  dnl define conditionals for branching in Makefiles
  AM_CONDITIONAL(X11, test "x$pg_cv_libs_x11" != xno)
])


dnl
dnl Check for X11 OpenGL libraries (GLX).
dnl
dnl Cached variables:
dnl   pg_cv_libs_opengl
dnl   pg_cv_libs_glx
dnl
dnl Compier defines affected:
dnl   OPENGL
dnl   GLX
dnl
dnl Automake variables affected:
dnl   @GFXLIBS@
dnl
AC_DEFUN([LIBGLX],[
  AC_REQUIRE([LIBX11])
  pg_cv_libs_glx=no
  pg_cv_libs_opengl=no

  dnl Prefer mesage
  AC_ARG_WITH(mesa,
    [  --with-mesa             prefer Mesa over native OpenGL],
    [prefer_mesa="$withval"],
    [prefer_mesa="no"])

  dnl only continue with glx if x11 was found
  if test "x$pg_cv_libs_x11" != xno; then

    dnl save enviroment
    AC_LANG_SAVE
    AC_LANG_C
    pg_opengl_libs="$LIBS"

    dnl check for OpenGL
    AC_MSG_CHECKING(for OpenGL)
    LIBS="-lGL -lGLU -lm $XLIBS $pg_opengl_libs"

    dnl prefer native OpenGL libraries unless prohibited by --with-mesa
    if test x"$prefer_mesa" = x"no"; then
      AC_TRY_LINK([char glLoadIdentity ();],
        [glLoadIdentity();],
        pg_cv_libs_opengl="-lGL -lGLU -lm",
        pg_cv_libs_opengl=no)

      dnl OpenGL may depend on pthreads so lets try to add necessary options
      dnl to linker line.  In FreeBSD we must use -pthread instead of 
      dnl -lpthread.
      if test "x$pg_cv_libs_opengl" = xno; then
        LIBS="-lGL -lGLU -lm -pthread $XLIBS $pg_opengl_libs"
        AC_TRY_LINK([char glLoadIdentity ();],
          [glLoadIdentity();],
          pg_cv_libs_opengl="-lGL -lGLU -lm -pthread",
          pg_cv_libs_opengl=no)
      fi
      if test "x$pg_cv_libs_opengl" = xno; then
        LIBS="-lGL -lGLU -lm -lpthread $XLIBS $pg_opengl_libs"
        AC_TRY_LINK([char glLoadIdentity ();],
          [glLoadIdentity();],
          pg_cv_libs_opengl="-lGL -lGLU -lm -lpthread",
          pg_cv_libs_opengl=no)
      fi
    fi

    dnl check for Mesa.  At first check if there are debugging versions
    dnl available on Mesa libraries and use them if the user specified
    dnl --enable-debug switch in the command line.  Mesa debugging
    dnl libraries are not typically present and their names might
    dnl be different from those expected.
    if test "x$pg_cv_libs_opengl" = xno -a "x$pg_cv_debug" = xtrue; then
      LIBS="-lMesaGLD -lMesaGLUD -lm $XLIBS $pg_opengl_libs"
      AC_TRY_LINK([#include <GL/osmesa.h>],
        [glLoadIdentity();],
        pg_cv_libs_opengl="-lMesaGLD -lMesaGLUD -lm",
        pg_cv_libs_opengl=no)
    fi

    dnl check for optimized Mesa libraries
    if test "x$pg_cv_libs_opengl" = xno; then
      LIBS="-lMesaGL -lMesaGLU -lm $XLIBS $pg_opengl_libs"
      AC_TRY_LINK([#include <GL/osmesa.h>],
        [glLoadIdentity();],
        pg_cv_libs_opengl="-lMesaGL -lMesaGLU -lm",
        pg_cv_libs_opengl=no)
    fi

    AC_MSG_RESULT($pg_cv_libs_opengl)

    dnl restore compiler flags
    LIBS="$pg_opengl_libs"
    AC_LANG_RESTORE

    dnl set compiler flags to suit selected libraries
    if test "x$pg_cv_libs_opengl" = xno; then
      :
    else
      CPPFLAGS="$CPPFLAGS -DOPENGL"
      GFXLIBS="$pg_cv_libs_opengl $GFXLIBS"
    fi

    dnl check for glx
    if test "x$pg_cv_libs_opengl" != xno; then
      AC_MSG_CHECKING(for glx)

      dnl save environment
      AC_LANG_SAVE
      AC_LANG_C
      pg_glx_libs="$LIBS"

      dnl Try to link with default libraries to see if we need anything
      dnl special at all.  We do not need to check -lXext here since macro
      dnl LIBX11 already makes sure that it is included in $XLIBS.
      LIBS="$LIBS $GFXLIBS $XLIBS"
      AC_TRY_LINK(
        [#include <GL/glx.h>],
        [(void)glXChooseVisual(0L,0,0L);],
        [pg_cv_libs_glx=""],
        [pg_cv_libs_glx=no])
  
      dnl tell user about the result we reached
      if test x"$pg_cv_libs_glx" = x; then
        AC_MSG_RESULT(yes)
      else
        AC_MSG_RESULT($pg_cv_libs_glx)
      fi
  
      dnl restore compiler flags
      LIBS="$pg_glx_libs"
      AC_LANG_RESTORE

      dnl define GLX if the glx library was found
      if test "x$pg_cv_libs_glx" = xno; then
        :
      else
        CPPFLAGS="$CPPFLAGS -DGLX"
        if test "x$pg_cv_libs_glx" = "x"; then
          :
        else
          GFXLIBS="$pg_cv_libs_glx $GFXLIBS"
        fi
      fi
    fi

    dnl export libs Makefile
    AC_SUBST(GFXLIBS)
  else
    AC_MSG_CHECKING(for GLX)
    AC_MSG_RESULT(missing X)
  fi

  dnl define conditionals for branching in Makefiles
  AM_CONDITIONAL(GLX, test "x$pg_cv_libs_glx" != xno)
])


dnl
dnl Check for OpenGL Utility Toolkit (glut).
dnl
dnl Cached variables:
dnl   pg_cv_headers_glut
dnl   pg_cv_libs_glut
dnl
dnl Compiler defines affected:
dnl   GLUT
dnl
dnl Automake variables affected:
dnl   @GFXLIBS@
dnl
AC_DEFUN([LIBGLUT],[
  AC_REQUIRE([LIBGLX])

  dnl clear those not really cached variables
  pg_cv_headers_glut=no
  pg_cv_libs_glut=no

  dnl let user specify a non-conventional path for libglut
  AC_ARG_WITH(glut,
  [  --with-glut[[=DIR]]       specify location of glut headers and libraries],
  [
    GLUTDIR="$withval"
  ],[
    GLUTDIR=""
  ])

  dnl check for libglut if OpenGL or Mesa libraries exist
  if test "x$pg_cv_libs_opengl" != "xno"; then
    dnl save compiler flags
    AC_LANG_SAVE
    AC_LANG_C
    pg_glut_libs="$LIBS"
    pg_glut_cflags="$CFLAGS"

    AC_MSG_CHECKING(for GLUT headers)

    dnl look for glut.h
    pg_cv_headers_glut=no
    for dir in \
        "${GLUTDIR}" \
        "${GLUTDIR}/include" \
        "${prefix}/include" \
        "/usr/include" \
        "/usr/local/include" \
        "/opt/graphics/OpenGL" 
    do
      if test -r "$dir/GL/glut.h"  -o  "x$dir" = x; then
        dnl compile small program to make sure that everything is OK
        if test "x$dir" != x; then
          CFLAGS="$pg_glut_cflags -I${dir}"
        else
          CFLAGS="$pg_glut_cflags"
        fi
        AC_TRY_COMPILE([#include <GL/glut.h>],
          [glutSolidTeapot(1);],
          pg_cv_headers_glut="$dir")
        if test "x$pg_cv_headers_glut" != xno; then
          break
        fi
      fi
    done
   
    dnl output results to the user
    if test "x$pg_cv_headers_glut" != x; then
      pg_cv_headers_glut_result="$pg_cv_headers_glut"
    else
      pg_cv_headers_glut_result="in default path"
    fi
    AC_MSG_RESULT($pg_cv_headers_glut_result)

    dnl look for glut library
    pg_cv_libs_glut=no
    if test "x$pg_cv_headers_glut" != xno; then
      dnl prepare list of possible library names
      if test "x$pg_cv_debug" = xtrue; then
        glutlibslist="glutD glut"
      else
        glutlibslist="glut"
      fi

      dnl look for glut library from directories below
      AC_MSG_CHECKING(for GLUT library)
      for dir in \
          "${GLUTDIR}" \
          "${GLUTDIR}/lib32" \
          "${GLUTDIR}/lib" \
          "${prefix}/lib" \
          "/usr/lib32" \
          "/usr/lib" 
      do
        dnl make compiler switch that takes directory in consideration
        if test "x$dir" != x; then
          dirswitch="-L$dir"
        else
          dirswitch=""
        fi
  
        dnl check for each name under each directory
        for lib in $glutlibslist; do
          LIBS="$dirswitch -l$lib $GFXLIBS $XLIBS $pg_glut_libs "
 
          dnl try to link with a simple program
          AC_TRY_LINK([char glutSolidTeapot();],
            [glutSolidTeapot();],
            pg_cv_libs_glut="$dirswitch -l$lib")
          if test "x$pg_cv_libs_glut" != xno; then
            dnl succeeded in linking
            break
          fi
        done
        if test "x$pg_cv_libs_glut" != xno; then
          break
        fi
      done

      dnl output results to the user
      AC_MSG_RESULT($pg_cv_libs_glut)
    fi

    dnl restore compiler flags
    LIBS="$pg_glut_libs"
    CFLAGS="$pg_glut_cflags"
    AC_LANG_RESTORE
  else
    dnl no OpenGL
    AC_MSG_CHECKING(for GLUT)
    AC_MSG_RESULT(missing GLX)
    pg_cv_libs_glut=no
  fi

  dnl set compiler flags to suit selected libraries
  if test "x$pg_cv_libs_glut" != xno; then
    dnl enable GLUT and add include directory to the command line
    CPPFLAGS="$CPPFLAGS -DGLUT"
    if test "x$pg_cv_headers_glut" = x -o "x$pg_cv_headers_glut" = x.; then
      :
    else
      CPPFLAGS="$CPPFLAGS -I${pg_cv_headers_glut}"
    fi

    dnl add libglut to OpenGL libraries
    GFXLIBS="$pg_cv_libs_glut $GFXLIBS"
    AC_SUBST(GFXLIBS)
  fi

  dnl define conditionals for branching in Makefiles
  AM_CONDITIONAL(GLUT, test "x$pg_cv_libs_glut" != xno)
])

# AM_CONDITIONAL                                              -*- Autoconf -*-

# Copyright 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 5

AC_PREREQ(2.52)

# AM_CONDITIONAL(NAME, SHELL-CONDITION)
# -------------------------------------
# Define a conditional.
AC_DEFUN([AM_CONDITIONAL],
[ifelse([$1], [TRUE],  [AC_FATAL([$0: invalid condition: $1])],
        [$1], [FALSE], [AC_FATAL([$0: invalid condition: $1])])dnl
AC_SUBST([$1_TRUE])
AC_SUBST([$1_FALSE])
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi
AC_CONFIG_COMMANDS_PRE(
[if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then
  AC_MSG_ERROR([conditional "$1" was never defined.
Usually this means the macro was only invoked conditionally.])
fi])])


dnl PKG_CHECK_MODULES(GSTUFF, gtk+-2.0 >= 1.3 glib = 1.3.4, action-if, action-not)
dnl defines GSTUFF_LIBS, GSTUFF_CFLAGS, see pkg-config man page
dnl also defines GSTUFF_PKG_ERRORS on error
AC_DEFUN(PKG_CHECK_MODULES, [
  succeeded=no

  if test -z "$PKG_CONFIG"; then
    AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
  fi

  if test "$PKG_CONFIG" = "no" ; then
     echo "*** The pkg-config script could not be found. Make sure it is"
     echo "*** in your path, or set the PKG_CONFIG environment variable"
     echo "*** to the full path to pkg-config."
     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
  else
     PKG_CONFIG_MIN_VERSION=0.9.0
     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
        AC_MSG_CHECKING(for $2)

        if $PKG_CONFIG --exists "$2" ; then
            AC_MSG_RESULT(yes)
            succeeded=yes

            AC_MSG_CHECKING($1_CFLAGS)
            $1_CFLAGS=`$PKG_CONFIG --cflags "$2"`
            AC_MSG_RESULT($$1_CFLAGS)

            AC_MSG_CHECKING($1_LIBS)
            $1_LIBS=`$PKG_CONFIG --libs "$2"`
            AC_MSG_RESULT($$1_LIBS)
        else
            $1_CFLAGS=""
            $1_LIBS=""
            ## If we have a custom action on failure, don't print errors, but 
            ## do set a variable so people can do so.
            $1_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
            ifelse([$4], ,echo $$1_PKG_ERRORS,)
        fi

        AC_SUBST($1_CFLAGS)
        AC_SUBST($1_LIBS)
     else
        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
        echo "*** See http://www.freedesktop.org/software/pkgconfig"
     fi
  fi

  if test $succeeded = yes; then
     ifelse([$3], , :, [$3])
  else
     ifelse([$4], , AC_MSG_ERROR([Library requirements ($2) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.]), [$4])
  fi
])



# Do all the work for Automake.                            -*- Autoconf -*-

# This macro actually does too much some checks are only needed if
# your package does certain things.  But this isn't really a big deal.

# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 10

AC_PREREQ([2.54])

# Autoconf 2.50 wants to disallow AM_ names.  We explicitly allow
# the ones we care about.
m4_pattern_allow([^AM_[A-Z]+FLAGS$])dnl

# AM_INIT_AUTOMAKE(PACKAGE, VERSION, [NO-DEFINE])
# AM_INIT_AUTOMAKE([OPTIONS])
# -----------------------------------------------
# The call with PACKAGE and VERSION arguments is the old style
# call (pre autoconf-2.50), which is being phased out.  PACKAGE
# and VERSION should now be passed to AC_INIT and removed from
# the call to AM_INIT_AUTOMAKE.
# We support both call styles for the transition.  After
# the next Automake release, Autoconf can make the AC_INIT
# arguments mandatory, and then we can depend on a new Autoconf
# release and drop the old call support.
AC_DEFUN([AM_INIT_AUTOMAKE],
[AC_REQUIRE([AM_SET_CURRENT_AUTOMAKE_VERSION])dnl
 AC_REQUIRE([AC_PROG_INSTALL])dnl
# test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" &&
   test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi

# test whether we have cygpath
if test -z "$CYGPATH_W"; then
  if (cygpath --version) >/dev/null 2>/dev/null; then
    CYGPATH_W='cygpath -w'
  else
    CYGPATH_W=echo
  fi
fi
AC_SUBST([CYGPATH_W])

# Define the identity of the package.
dnl Distinguish between old-style and new-style calls.
m4_ifval([$2],
[m4_ifval([$3], [_AM_SET_OPTION([no-define])])dnl
 AC_SUBST([PACKAGE], [$1])dnl
 AC_SUBST([VERSION], [$2])],
[_AM_SET_OPTIONS([$1])dnl
 AC_SUBST([PACKAGE], ['AC_PACKAGE_TARNAME'])dnl
 AC_SUBST([VERSION], ['AC_PACKAGE_VERSION'])])dnl

_AM_IF_OPTION([no-define],,
[AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
 AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package])])dnl

# Some tools Automake needs.
AC_REQUIRE([AM_SANITY_CHECK])dnl
AC_REQUIRE([AC_ARG_PROGRAM])dnl
AM_MISSING_PROG(ACLOCAL, aclocal-${am__api_version})
AM_MISSING_PROG(AUTOCONF, autoconf)
AM_MISSING_PROG(AUTOMAKE, automake-${am__api_version})
AM_MISSING_PROG(AUTOHEADER, autoheader)
AM_MISSING_PROG(MAKEINFO, makeinfo)
AM_MISSING_PROG(AMTAR, tar)
AM_PROG_INSTALL_SH
AM_PROG_INSTALL_STRIP
# We need awk for the "check" target.  The system "awk" is bad on
# some platforms.
AC_REQUIRE([AC_PROG_AWK])dnl
AC_REQUIRE([AC_PROG_MAKE_SET])dnl
AC_REQUIRE([AM_SET_LEADING_DOT])dnl

_AM_IF_OPTION([no-dependencies],,
[AC_PROVIDE_IFELSE([AC_PROG_CC],
                  [_AM_DEPENDENCIES(CC)],
                  [define([AC_PROG_CC],
                          defn([AC_PROG_CC])[_AM_DEPENDENCIES(CC)])])dnl
AC_PROVIDE_IFELSE([AC_PROG_CXX],
                  [_AM_DEPENDENCIES(CXX)],
                  [define([AC_PROG_CXX],
                          defn([AC_PROG_CXX])[_AM_DEPENDENCIES(CXX)])])dnl
])
])


# When config.status generates a header, we must update the stamp-h file.
# This file resides in the same directory as the config header
# that is generated.  The stamp files are numbered to have different names.

# Autoconf calls _AC_AM_CONFIG_HEADER_HOOK (when defined) in the
# loop where config.status creates the headers, so we can generate
# our stamp files there.
AC_DEFUN([_AC_AM_CONFIG_HEADER_HOOK],
[# Compute $1's index in $config_headers.
_am_stamp_count=1
for _am_header in $config_headers :; do
  case $_am_header in
    $1 | $1:* )
      break ;;
    * )
      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  esac
done
echo "timestamp for $1" >`AS_DIRNAME([$1])`/stamp-h[]$_am_stamp_count])

# Copyright 2002  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA

# AM_AUTOMAKE_VERSION(VERSION)
# ----------------------------
# Automake X.Y traces this macro to ensure aclocal.m4 has been
# generated from the m4 files accompanying Automake X.Y.
AC_DEFUN([AM_AUTOMAKE_VERSION],[am__api_version="1.7"])

# AM_SET_CURRENT_AUTOMAKE_VERSION
# -------------------------------
# Call AM_AUTOMAKE_VERSION so it can be traced.
# This function is AC_REQUIREd by AC_INIT_AUTOMAKE.
AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION],
	 [AM_AUTOMAKE_VERSION([1.7.6])])

# Helper functions for option handling.                    -*- Autoconf -*-

# Copyright 2001, 2002  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 2

# _AM_MANGLE_OPTION(NAME)
# -----------------------
AC_DEFUN([_AM_MANGLE_OPTION],
[[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])])

# _AM_SET_OPTION(NAME)
# ------------------------------
# Set option NAME.  Presently that only means defining a flag for this option.
AC_DEFUN([_AM_SET_OPTION],
[m4_define(_AM_MANGLE_OPTION([$1]), 1)])

# _AM_SET_OPTIONS(OPTIONS)
# ----------------------------------
# OPTIONS is a space-separated list of Automake options.
AC_DEFUN([_AM_SET_OPTIONS],
[AC_FOREACH([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])])

# _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET])
# -------------------------------------------
# Execute IF-SET if OPTION is set, IF-NOT-SET otherwise.
AC_DEFUN([_AM_IF_OPTION],
[m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])])

#
# Check to make sure that the build environment is sane.
#

# Copyright 1996, 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 3

# AM_SANITY_CHECK
# ---------------
AC_DEFUN([AM_SANITY_CHECK],
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftest.file
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftest.file 2> /dev/null`
   if test "$[*]" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftest.file`
   fi
   rm -f conftest.file
   if test "$[*]" != "X $srcdir/configure conftest.file" \
      && test "$[*]" != "X conftest.file $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "$[2]" = conftest.file
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
AC_MSG_RESULT(yes)])

#  -*- Autoconf -*-


# Copyright 1997, 1999, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 3

# AM_MISSING_PROG(NAME, PROGRAM)
# ------------------------------
AC_DEFUN([AM_MISSING_PROG],
[AC_REQUIRE([AM_MISSING_HAS_RUN])
$1=${$1-"${am_missing_run}$2"}
AC_SUBST($1)])


# AM_MISSING_HAS_RUN
# ------------------
# Define MISSING if not defined so far and test if it supports --run.
# If it does, set am_missing_run to use it, otherwise, to nothing.
AC_DEFUN([AM_MISSING_HAS_RUN],
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
# Use eval to expand $SHELL
if eval "$MISSING --run true"; then
  am_missing_run="$MISSING --run "
else
  am_missing_run=
  AC_MSG_WARN([`missing' script is too old or missing])
fi
])

# AM_AUX_DIR_EXPAND

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets
# $ac_aux_dir to `$srcdir/foo'.  In other projects, it is set to
# `$srcdir', `$srcdir/..', or `$srcdir/../..'.
#
# Of course, Automake must honor this variable whenever it calls a
# tool from the auxiliary directory.  The problem is that $srcdir (and
# therefore $ac_aux_dir as well) can be either absolute or relative,
# depending on how configure is run.  This is pretty annoying, since
# it makes $ac_aux_dir quite unusable in subdirectories: in the top
# source directory, any form will work fine, but in subdirectories a
# relative path needs to be adjusted first.
#
# $ac_aux_dir/missing
#    fails when called from a subdirectory if $ac_aux_dir is relative
# $top_srcdir/$ac_aux_dir/missing
#    fails if $ac_aux_dir is absolute,
#    fails when called from a subdirectory in a VPATH build with
#          a relative $ac_aux_dir
#
# The reason of the latter failure is that $top_srcdir and $ac_aux_dir
# are both prefixed by $srcdir.  In an in-source build this is usually
# harmless because $srcdir is `.', but things will broke when you
# start a VPATH build or use an absolute $srcdir.
#
# So we could use something similar to $top_srcdir/$ac_aux_dir/missing,
# iff we strip the leading $srcdir from $ac_aux_dir.  That would be:
#   am_aux_dir='\$(top_srcdir)/'`expr "$ac_aux_dir" : "$srcdir//*\(.*\)"`
# and then we would define $MISSING as
#   MISSING="\${SHELL} $am_aux_dir/missing"
# This will work as long as MISSING is not called from configure, because
# unfortunately $(top_srcdir) has no meaning in configure.
# However there are other variables, like CC, which are often used in
# configure, and could therefore not use this "fixed" $ac_aux_dir.
#
# Another solution, used here, is to always expand $ac_aux_dir to an
# absolute PATH.  The drawback is that using absolute paths prevent a
# configured tree to be moved without reconfiguration.

# Rely on autoconf to set up CDPATH properly.
AC_PREREQ([2.50])

AC_DEFUN([AM_AUX_DIR_EXPAND], [
# expand $ac_aux_dir to an absolute path
am_aux_dir=`cd $ac_aux_dir && pwd`
])

# AM_PROG_INSTALL_SH
# ------------------
# Define $install_sh.

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

AC_DEFUN([AM_PROG_INSTALL_SH],
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
install_sh=${install_sh-"$am_aux_dir/install-sh"}
AC_SUBST(install_sh)])

# AM_PROG_INSTALL_STRIP

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# One issue with vendor `install' (even GNU) is that you can't
# specify the program used to strip binaries.  This is especially
# annoying in cross-compiling environments, where the build's strip
# is unlikely to handle the host's binaries.
# Fortunately install-sh will honor a STRIPPROG variable, so we
# always use install-sh in `make install-strip', and initialize
# STRIPPROG with the value of the STRIP variable (set by the user).
AC_DEFUN([AM_PROG_INSTALL_STRIP],
[AC_REQUIRE([AM_PROG_INSTALL_SH])dnl
# Installed binaries are usually stripped using `strip' when the user
# run `make install-strip'.  However `strip' might not be the right
# tool to use in cross-compilation environments, therefore Automake
# will honor the `STRIP' environment variable to overrule this program.
dnl Don't test for $cross_compiling = yes, because it might be `maybe'.
if test "$cross_compiling" != no; then
  AC_CHECK_TOOL([STRIP], [strip], :)
fi
INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
AC_SUBST([INSTALL_STRIP_PROGRAM])])

#                                                          -*- Autoconf -*-
# Copyright (C) 2003  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 1

# Check whether the underlying file-system supports filenames
# with a leading dot.  For instance MS-DOS doesn't.
AC_DEFUN([AM_SET_LEADING_DOT],
[rm -rf .tst 2>/dev/null
mkdir .tst 2>/dev/null
if test -d .tst; then
  am__leading_dot=.
else
  am__leading_dot=_
fi
rmdir .tst 2>/dev/null
AC_SUBST([am__leading_dot])])

# serial 5						-*- Autoconf -*-

# Copyright (C) 1999, 2000, 2001, 2002, 2003  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.


# There are a few dirty hacks below to avoid letting `AC_PROG_CC' be
# written in clear, in which case automake, when reading aclocal.m4,
# will think it sees a *use*, and therefore will trigger all it's
# C support machinery.  Also note that it means that autoscan, seeing
# CC etc. in the Makefile, will ask for an AC_PROG_CC use...



# _AM_DEPENDENCIES(NAME)
# ----------------------
# See how the compiler implements dependency checking.
# NAME is "CC", "CXX", "GCJ", or "OBJC".
# We try a few techniques and use that to set a single cache variable.
#
# We don't AC_REQUIRE the corresponding AC_PROG_CC since the latter was
# modified to invoke _AM_DEPENDENCIES(CC); we would have a circular
# dependency, and given that the user is not expected to run this macro,
# just rely on AC_PROG_CC.
AC_DEFUN([_AM_DEPENDENCIES],
[AC_REQUIRE([AM_SET_DEPDIR])dnl
AC_REQUIRE([AM_OUTPUT_DEPENDENCY_COMMANDS])dnl
AC_REQUIRE([AM_MAKE_INCLUDE])dnl
AC_REQUIRE([AM_DEP_TRACK])dnl

ifelse([$1], CC,   [depcc="$CC"   am_compiler_list=],
       [$1], CXX,  [depcc="$CXX"  am_compiler_list=],
       [$1], OBJC, [depcc="$OBJC" am_compiler_list='gcc3 gcc'],
       [$1], GCJ,  [depcc="$GCJ"  am_compiler_list='gcc3 gcc'],
                   [depcc="$$1"   am_compiler_list=])

AC_CACHE_CHECK([dependency style of $depcc],
               [am_cv_$1_dependencies_compiler_type],
[if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
  # We make a subdir and do the tests there.  Otherwise we can end up
  # making bogus files that we don't know about and never remove.  For
  # instance it was reported that on HP-UX the gcc test will end up
  # making a dummy file named `D' -- because `-MD' means `put the output
  # in D'.
  mkdir conftest.dir
  # Copy depcomp to subdir because otherwise we won't find it if we're
  # using a relative directory.
  cp "$am_depcomp" conftest.dir
  cd conftest.dir
  # We will build objects and dependencies in a subdirectory because
  # it helps to detect inapplicable dependency modes.  For instance
  # both Tru64's cc and ICC support -MD to output dependencies as a
  # side effect of compilation, but ICC will put the dependencies in
  # the current directory while Tru64 will put them in the object
  # directory.
  mkdir sub

  am_cv_$1_dependencies_compiler_type=none
  if test "$am_compiler_list" = ""; then
     am_compiler_list=`sed -n ['s/^#*\([a-zA-Z0-9]*\))$/\1/p'] < ./depcomp`
  fi
  for depmode in $am_compiler_list; do
    # Setup a source with many dependencies, because some compilers
    # like to wrap large dependency lists on column 80 (with \), and
    # we should not choose a depcomp mode which is confused by this.
    #
    # We need to recreate these files for each test, as the compiler may
    # overwrite some of them when testing with obscure command lines.
    # This happens at least with the AIX C compiler.
    : > sub/conftest.c
    for i in 1 2 3 4 5 6; do
      echo '#include "conftst'$i'.h"' >> sub/conftest.c
      : > sub/conftst$i.h
    done
    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf

    case $depmode in
    nosideeffect)
      # after this tag, mechanisms are not by side-effect, so they'll
      # only be used when explicitly requested
      if test "x$enable_dependency_tracking" = xyes; then
	continue
      else
	break
      fi
      ;;
    none) break ;;
    esac
    # We check with `-c' and `-o' for the sake of the "dashmstdout"
    # mode.  It turns out that the SunPro C++ compiler does not properly
    # handle `-M -o', and we need to detect this.
    if depmode=$depmode \
       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
         >/dev/null 2>conftest.err &&
       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
      # icc doesn't choke on unknown options, it will just issue warnings
      # (even with -Werror).  So we grep stderr for any message
      # that says an option was ignored.
      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
        am_cv_$1_dependencies_compiler_type=$depmode
        break
      fi
    fi
  done

  cd ..
  rm -rf conftest.dir
else
  am_cv_$1_dependencies_compiler_type=none
fi
])
AC_SUBST([$1DEPMODE], [depmode=$am_cv_$1_dependencies_compiler_type])
AM_CONDITIONAL([am__fastdep$1], [
  test "x$enable_dependency_tracking" != xno \
  && test "$am_cv_$1_dependencies_compiler_type" = gcc3])
])


# AM_SET_DEPDIR
# -------------
# Choose a directory name for dependency files.
# This macro is AC_REQUIREd in _AM_DEPENDENCIES
AC_DEFUN([AM_SET_DEPDIR],
[AC_REQUIRE([AM_SET_LEADING_DOT])dnl
AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])dnl
])


# AM_DEP_TRACK
# ------------
AC_DEFUN([AM_DEP_TRACK],
[AC_ARG_ENABLE(dependency-tracking,
[  --disable-dependency-tracking Speeds up one-time builds
  --enable-dependency-tracking  Do not reject slow dependency extractors])
if test "x$enable_dependency_tracking" != xno; then
  am_depcomp="$ac_aux_dir/depcomp"
  AMDEPBACKSLASH='\'
fi
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
AC_SUBST([AMDEPBACKSLASH])
])

# Generate code to set up dependency tracking.   -*- Autoconf -*-

# Copyright 1999, 2000, 2001, 2002 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

#serial 2

# _AM_OUTPUT_DEPENDENCY_COMMANDS
# ------------------------------
AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS],
[for mf in $CONFIG_FILES; do
  # Strip MF so we end up with the name of the file.
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  # Check whether this is an Automake generated Makefile or not.
  # We used to match only the files named `Makefile.in', but
  # some people rename them; so instead we look at the file content.
  # Grep'ing the first line is not enough: some people post-process
  # each Makefile.in and add a new line on top of each file to say so.
  # So let's grep whole file.
  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
    dirpart=`AS_DIRNAME("$mf")`
  else
    continue
  fi
  grep '^DEP_FILES *= *[[^ @%:@]]' < "$mf" > /dev/null || continue
  # Extract the definition of DEP_FILES from the Makefile without
  # running `make'.
  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
  test -z "$DEPDIR" && continue
  # When using ansi2knr, U may be empty or an underscore; expand it
  U=`sed -n -e '/^U = / s///p' < "$mf"`
  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
  # We invoke sed twice because it is the simplest approach to
  # changing $(DEPDIR) to its actual value in the expansion.
  for file in `sed -n -e '
    /^DEP_FILES = .*\\\\$/ {
      s/^DEP_FILES = //
      :loop
	s/\\\\$//
	p
	n
	/\\\\$/ b loop
      p
    }
    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
    # Make sure the directory exists.
    test -f "$dirpart/$file" && continue
    fdir=`AS_DIRNAME(["$file"])`
    AS_MKDIR_P([$dirpart/$fdir])
    # echo "creating $dirpart/$file"
    echo '# dummy' > "$dirpart/$file"
  done
done
])# _AM_OUTPUT_DEPENDENCY_COMMANDS


# AM_OUTPUT_DEPENDENCY_COMMANDS
# -----------------------------
# This macro should only be invoked once -- use via AC_REQUIRE.
#
# This code is only required when automatic dependency tracking
# is enabled.  FIXME.  This creates each `.P' file that we will
# need in order to bootstrap the dependency handling code.
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS],
[AC_CONFIG_COMMANDS([depfiles],
     [test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS],
     [AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"])
])

# Check to see how 'make' treats includes.	-*- Autoconf -*-

# Copyright (C) 2001, 2002, 2003 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 2

# AM_MAKE_INCLUDE()
# -----------------
# Check to see how make treats includes.
AC_DEFUN([AM_MAKE_INCLUDE],
[am_make=${MAKE-make}
cat > confinc << 'END'
am__doit:
	@echo done
.PHONY: am__doit
END
# If we don't find an include directive, just comment out the code.
AC_MSG_CHECKING([for style of include used by $am_make])
am__include="#"
am__quote=
_am_result=none
# First try GNU make style include.
echo "include confinc" > confmf
# We grep out `Entering directory' and `Leaving directory'
# messages which can occur if `w' ends up in MAKEFLAGS.
# In particular we don't look at `^make:' because GNU make might
# be invoked under some other name (usually "gmake"), in which
# case it prints its new name instead of `make'.
if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
   am__include=include
   am__quote=
   _am_result=GNU
fi
# Now try BSD make style include.
if test "$am__include" = "#"; then
   echo '.include "confinc"' > confmf
   if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then
      am__include=.include
      am__quote="\""
      _am_result=BSD
   fi
fi
AC_SUBST([am__include])
AC_SUBST([am__quote])
AC_MSG_RESULT([$_am_result])
rm -f confinc confmf
])

# Like AC_CONFIG_HEADER, but automatically create stamp file. -*- Autoconf -*-

# Copyright 1996, 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

AC_PREREQ([2.52])

# serial 6

# AM_CONFIG_HEADER is obsolete.  It has been replaced by AC_CONFIG_HEADERS.
AU_DEFUN([AM_CONFIG_HEADER], [AC_CONFIG_HEADERS($@)])

