#
# hint.tcl - random hints
# 
# Copyright (C) 2005  Toni Ronkko
# 
# Peach Gardens is free software; you can redistribute it and/or modify 
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# Peach Gardens is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Dec, 2004  Toni Ronkko <toni at users.playstation2-linux.com>
# 
# $Id: hint.tcl,v 1.2 2005/01/09 20:58:31 tronkko Exp $
#
# $Log: hint.tcl,v $
# Revision 1.2  2005/01/09 20:58:31  tronkko
# edit mode
#
# Revision 1.1  2004/12/09 22:10:19  tronkko
# Initial revision
#
#
#


# list of hints
set hint_texts {
  "press and hold right mouse button to pan view despite of mode"
  "hold down control key and left mouse button to exchange chips"
  "move the selection quickly by cursor keys"
  "expand selection by holding down shift key while using cursor keys"
  "press shift while holding down left mouse button to select chips"
  "press delete to erase selected chips"
  "press L to lock or release palette"
  "locking palette prevents you from making accidental changes"
  "press F5 to re-load chipset from image file"
  "you can edit chipset image while the map editor is open"
  "press S to select chips with left mouse button"
  "press D to draw with selected chips"
  "press E to edit chip propeties"
  "press S to swap selected chips"
  "press P to pan the view with left mouse button"
  "empty chips do not overwrite existing chips when drawing"
  "you can enlarge the selection with shift+cursor keys"
  "move chips by dragging selection with control and left mouse button"
  "click the lock at the status bar to prevent accidental modification"
  "locking palettes allows you to select chips in draw mode"
  "select chips despite of drawing mode by holding down shift key"
  "draw with middle mouse button in any mode"
  "move chips by holding down control key and dragging selection"
  "pan view with the right mouse button despite of mode"
  "press control+p to create new palette"
  "press control+m to create new map"
  "press control+z to undo changes"
  "press control+s to save current file"
  "you can undo several changes by repeatedly pressing ctrl+z"
  "change palettes by pressing alt+p followed by initial letter of palette"
  "change maps quickly by pressing alt+m followed by initial letter of map"
  "you can draw and reorganize chips in the palette window too"
  "you can find all the keyboard shortcuts from the help menu"
  "reset palette to recover lost chips"
}


#
# Show dialog with random hint.
# 
proc random_hint {} {
  global hint_texts

  # get random hint
  set len [llength $hint_texts]
  set i [expr int(rand() * $len)]
  set hint [lindex $hint_texts $i]

  # show dialog
  status "Hint: $hint"
}
