/*
 * chip.c - information on a single chip
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Dec 23 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: chip.c,v 1.2 2005/04/03 16:28:53 tronkko Exp $
 *
 * $Log: chip.c,v $
 * Revision 1.2  2005/04/03 16:28:53  tronkko
 * using abort_msg()
 *
 * Revision 1.1  2005/01/09 21:10:29  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "chip.h"
#include "debug.h"


/*
 * Convert terrain letter to enumeration.  The function is used when reading
 * maps from files, where terrain types are presented by letters.
 */
enum terrain_t
parse_terrain (char c)
{
  switch (c) {
  case 'G': return Grass;       break;
  case 'F': return Forest;      break;
  case 'R': return Road;        break;
  case 'W': return Water;       break;
  case 'M': return Mountain;    break;
  case 'U': return Unreachable; break;

  default:
    abort_msg ("invalid terrain type: %c", c);
  }
}
