/*
 * depth.h - depth sorting
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Jan 21 2005, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: depth.h,v 1.1 2005/04/03 16:21:41 tronkko Exp $
 *
 * $Log: depth.h,v $
 * Revision 1.1  2005/04/03 16:21:41  tronkko
 * Initial revision
 *
 *
 */
#ifndef DEPTH_H
#define DEPTH_H

struct image; /* forward-decl */

/* reset depth sorting */
void zreset (void);

/* paint objects queued for drawing */
void zdraw (void);

/* queue image with depth coordinate */
void zbitblt(
    struct image *imp, int z, 
    int sx1, int sy1, int sx2, int sy2,
    int dx1, int dy1, int dx2, int dy2);

#endif /*DEPTH_H*/
