/*
 * title.c - title screen and main menu
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 * Apr  3 2005, Toni Ronkko <Toni.Ronkko@uku.fi>
 *
 * $Id: title.c,v 1.1 2005/06/22 13:12:13 tronkko Exp $
 *
 * $Log: title.c,v $
 * Revision 1.1  2005/06/22 13:12:13  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "title.h"
#include "image.h"
#include "locate.h"


/* public image */
struct image *title = NULL;
static struct image _title;

/* has module been initialized? */
static int initialized = 0;


/*
 * Load title image to memory.
 */
void
init_title (void)
{
  assert (!initialized);

  init_image (&_title, locate ("pgardens.pcx")); 
  title = &_title;
  
  initialized = 1;
}


/*
 * Unload title image from memory.
 */
void
done_title (void)
{
  assert (initialized);

  assert (title == &_title);
  done_image (&_title);
  title = NULL;
  
  initialized = 0;
}
