/*
 * tty.h - keyboard input module for linux terminals
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Nov 24 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: tty.h,v 1.1 2005/01/09 21:14:21 tronkko Exp $
 *
 * $Log: tty.h,v $
 * Revision 1.1  2005/01/09 21:14:21  tronkko
 * Initial revision
 *
 *
 */
#ifndef TTY_H
#define TTY_H

/* get event from tty */
int tty_event (void);

/* switch tty to input raw mode */
void raw_tty (void);

/* restore original input mode */
void restore_tty (void);

/* switch to another tty */
void switch_tty (void);

/* get process id of tty owner */
pid_t tty_owner (void);

/* initialization */
void init_tty (void);
void done_tty (void);


/*
 * Postponed graphics console release request.  This is set to nonzero value
 * by tty_event() after user has invoked a console switching key code.  When
 * the variable is nonzero, the application should call switch_tty function
 * as soon as possible to switch consoles.  The variable should be regarded
 * read-only.
 */
extern int release_request;

#endif /*TTY_H*/
