/*
 * t-chipset.c - check chipset functions
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Dec 23 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: t-chipset.c,v 1.1 2005/01/09 21:16:15 tronkko Exp $
 *
 * $Log: t-chipset.c,v $
 * Revision 1.1  2005/01/09 21:16:15  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "graphics.h"
#include "chip.h"
#include "chipset.h"
#include "locate.h"

#undef NDEBUG
#include <assert.h>



int
main (int argc, char *argv[])
{
  int chatty = 0;
  (void) argv;
  if (argc > 1) chatty = 1;
  init_graphics ();
  
  /* sanity check */
  {
    struct chip *cp;
    struct chipset ch;
    
    init_chipset (&ch, 100, 32, 24, locate ("pgardens.pcx"));
    assert (ch.nchips = 100);
    assert (ch.chipw == 32);
    assert (ch.chiph == 24);

    cp = get_chip (&ch, 12);
    assert (cp->id == 12);

    done_chipset (&ch);
  }

  done_graphics ();
  return EXIT_SUCCESS;
}
