/*
 * t-clouds.c - check clouds
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 * Dec 29 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: t-clouds.c,v 1.2 2005/04/03 16:35:46 tronkko Exp $
 *
 * $Log: t-clouds.c,v $
 * Revision 1.2  2005/04/03 16:35:46  tronkko
 * view is now required to draw a cloud
 *
 * Revision 1.1  2005/01/09 21:15:04  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "graphics.h"
#include "clouds.h"
#include "options.h"
#include "input.h"
#include "view.h"

#undef NDEBUG
#include <assert.h>


int
main (int argc, char *argv[])
{
  int chatty = 0;
  (void) argv;
  if (argc > 1) chatty = 1;

  /* read command line args */
  init_graphics ();
  get_defaults ();
  read_options (&argc, argv);
  
  /* initialize subsystems */
  init_clouds ();
  init_input ();
  
  /* show credits */
  if (chatty) {
    if (open_screen ()) {
      int ev;
      struct view v;
      init_view (&v);
      
      /* paint with some clouds */
      while (1) {
        setbg (0, 0, 255);
        clear ();
        draw_clouds (&v);
        animate_clouds ();
        
        swap_buffers ();

        /* exit with cross */
        ev = get_event ();
        if (ev == SKIP) break;
        if (ev == EXIT) break;
      }
      
      done_view (&v);
      close_screen ();
    }
  }

  done_input ();
  done_clouds ();
  done_graphics ();
  
  return EXIT_SUCCESS;
}
