/*
 * t-ticks.c - check ticks generation
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 * Nov 24 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: t-ticks.c,v 1.1 2005/01/09 21:16:06 tronkko Exp $
 *
 * $Log: t-ticks.c,v $
 * Revision 1.1  2005/01/09 21:16:06  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "config.h"
#include "ticks.h"

#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif


#undef NDEBUG
#include <assert.h>



int
main (int argc, char *argv[])
{
  int chatty = 0;
  (void) argv;
  if (argc > 1) chatty = 1;

  /* ticks must advance, set_ticks can turn time */
  {
    ticks_t prev;
    int i;
    prev = ticks ();
    for (i = 0; i < 100; i++) {
      assert (prev <= ticks ());
      prev = ticks ();
      usleep (100);
    }
    prev = 100;
    set_ticks (prev);
    for (i = 0; i < 100; i++) {
      assert (prev <= ticks ());
      prev = ticks ();
      usleep (1000);
    }
    prev = 12300;
    set_ticks (prev);
    for (i = 0; i < 100; i++) {
      assert (prev <= ticks ());
      prev = ticks ();
      usleep (1000);
    }
  }

  return EXIT_SUCCESS;
}
